English
FxObjectDetailRelatedlist
About 377 wordsAbout 1 min
2025-12-16
Used to display the data list of related objects.
Attributes
| Parameter | Description | Type | Optional Values | Default |
|---|---|---|---|---|
| apiName | Business object apiName | String | - | - |
| dataId | Business object data ID | String | - | - |
| compInfo | Component description information | Object | - | - |
| hooks | Hook functions before querying related object data | Function | - | - |
compInfo
| Parameter | Description | Type | Optional Values | Default |
|---|---|---|---|---|
| field_api_name | Which related field is used for the association | String | - | - |
| header | Title of the related object list | String | - | - |
| ref_object_api_name | Related object apiName | String | - | - |
| related_list_name | Related object list name | String | - | - |
This parameter can be configured first by using a related object list and then copying the data by inspecting the interface.
Basic Usage
The component is obtained through FxUI.component.get('ObjectDetailRelatedlist').
<template>
<object-detail-relatedlist v-bind="dTableOpts"></object-detail-relatedlist>
</template>
<script>
export default {
components: {
ObjectDetailRelatedlist: FxUI.component.get('ObjectDetailRelatedlist')
},
data() {
return {
dTableOpts: {
apiName: 'object_4jzj7__c',
dataId: '61baa65af9b3c2000171c53a',
compInfo: {
field_api_name: "field_4J1h2__c",
header: "Custom Object-2233",
ref_object_api_name: "object_esak6__c",
related_list_name: "target_related_list_qqefs__c"
}
}
}
}
}
</script>Component Extension
To meet enterprise customization needs, the component provides several extension methods that allow developers to quickly build corresponding functions.
Hooks
Before the related object list page is rendered, it goes through a series of steps such as initializing the table, requesting table configuration data, parsing table configuration data, requesting list data, and parsing list data.
<template>
<object-detail-relatedlist v-bind="dTableOpts"></object-detail-relatedlist>
</template>
<script>
export default {
components: {
ObjectDetailRelatedlist: FxUI.component.get('ObjectDetailRelatedlist')
},
data() {
return {
dTableOpts: {
apiName: 'object_4jzj7__c',
dataId: '61baa65af9b3c2000171c53a',
compInfo: {
field_api_name: "field_4J1h2__c",
header: "Custom Object-2233",
ref_object_api_name: "object_esak6__c",
related_list_name: "target_related_list_qqefs__c"
},
hooks: {
parseParam (param, table) {
return param;
}
}
}
}
}
}
</script>Hooks
hooks (currently supported hooks are as follows)
| Parameter | Description | Type | Parameters | Return Value |
|---|---|---|---|---|
| getOptions | Extend related object list options | Function | options, table | Extend and return the first parameter |
| parseParam | Extend related object list request parameters | Function | param, table | Same as above |
| parseTerm | Extend related object list scenarios | Function | term, table | Same as above |
| parseData | Extend related object list data | Function | data, table | Same as above |
| parseColumns | Extend related object list column data | Function | columns, table | Same as above |
| parseBatchButtons | Extend related object list batch buttons | Function | batchButtons, layoutButtons | Same as above |
| parseTopButtons | Extend top-right action buttons of the related object list | Function | layoutButtons | Same as above |
| getExtendAttribute | Extend request parameters of the related object list header | Function | attr, table | Same as above |
